javax.persistence

## Enum ParameterMode

- java.lang.Object
- - java.lang.Enum<ParameterMode>
  - - javax.persistence.ParameterMode

All Implemented Interfaces:
  Serializable, Comparable<ParameterMode>

    public enum ParameterMode
    extends Enum<ParameterMode>

Specifies the mode of a parameter of a stored procedure query.

Since:
  Java Persistence 2.1
See Also:
  `StoredProcedureQuery`, `StoredProcedureParameter`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IN` Stored procedure input parameter
`INOUT` Stored procedure input/output parameter
`OUT` Stored procedure output parameter
`REF_CURSOR` Stored procedure reference cursor parameter.

### Method Summary

All Methods Static Methods Concrete Methods
`static ParameterMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParameterMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IN

    public static final ParameterMode IN

Stored procedure input parameter

#### INOUT

    public static final ParameterMode INOUT

Stored procedure input/output parameter

#### OUT

    public static final ParameterMode OUT

Stored procedure output parameter

#### REF_CURSOR

    public static final ParameterMode REF_CURSOR

Stored procedure reference cursor parameter. Some databases use REF_CURSOR parameters to return result sets from stored procedures.

### Method Detail

#### values

    public static ParameterMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParameterMode c : ParameterMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParameterMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null